# -*- coding: utf-8 -*-
"""
computes the spectral flatness from the magnitude spectrum

  Args:
    X: spectrogram (dimension FFTLength X Observations)
    f_s: sample rate of audio data

  Returns:
    vtf spectral flatness
"""

import numpy as np


def FeatureSpectralFlatness(X, f_s):

    norm = X.mean(axis=0)
    norm[norm == 0] = 1

    X = np.log(X + 1e-20)

    vtf = np.exp(X.mean(axis=0)) / norm

    return (vtf)
